package nl.is.kc.generiek.domain;

import java.io.Serializable;

public class KoffieDrinker implements Serializable {

	public static final String PROP_NAME = "name";
	public static final String PROP_FULL_NAME = "name.fullName";
	public static final String PROP_AANTAL_PER_DAG = "minimumAantalKoffiePerDag";
	public static final String PROP_FAVORIETE_SOORT = "favorieteSoort";
	public static final String PROP_ID = "id";

	private static final long serialVersionUID = -6037109612419395069L;

	private Long id;

	private Name name;

	private int minimumAantalKoffiePerDag;

	private KoffieSoort favorieteSoort;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public int getMinimumAantalKoffiePerDag() {
		return minimumAantalKoffiePerDag;
	}

	public void setMinimumAantalKoffiePerDag(int minimumAantalKoffiePerDag) {
		this.minimumAantalKoffiePerDag = minimumAantalKoffiePerDag;
	}

	public KoffieSoort getFavorieteSoort() {
		return favorieteSoort;
	}

	public void setFavorieteSoort(KoffieSoort favorieteSoort) {
		this.favorieteSoort = favorieteSoort;
	}

	public Name getName() {
		return name;
	}

	public void setName(Name name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return "KoffieDrinker [name=" + name + "]";
	}

}
