package nl.is.kc.generiek.ui;

import nl.is.kc.koffiemanager.ui.HomePage;
import nl.is.kc.koffiemanager.ui.WicketApplication;

import org.apache.wicket.authorization.Action;
import org.apache.wicket.authroles.authorization.strategies.role.annotations.AuthorizeAction;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.panel.Panel;

@AuthorizeAction(action = Action.RENDER, roles = "ADMIN")
public class LogoutPanel extends Panel {

	private static final long serialVersionUID = 8930409532120930221L;

	public LogoutPanel(String id) {
		super(id);
		add(new Link<Void>("logoutLink") {
			private static final long serialVersionUID = -1334843590283239782L;

			@Override
			public void onClick() {
				WicketApplication.getSession().invalidate();
				setResponsePage(HomePage.class);
			}
		});
	}

}
