package nl.is.kc.generiek.ui.handlers;

import java.io.Serializable;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.markup.html.form.Form;

public interface FormHandler<T extends Form<?>> extends Serializable {

	/**
	 * 
	 * @param form
	 * @param target
	 *            Deze is <code>null</code> als het geen ajax request betreft
	 */
	public void onOk(T form, AjaxRequestTarget target);

	public void onCancel(T form);

}
