package nl.is.kc.koffiemanager.ui.bestellingen;

import nl.is.kc.generiek.domain.Bestelling;
import nl.is.kc.generiek.ui.KnoppenPanel;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.panel.FeedbackPanel;
import org.apache.wicket.model.CompoundPropertyModel;

public class AddBestellingForm extends Form<Bestelling> {

	private static final long serialVersionUID = 1142001843099770718L;

	public AddBestellingForm(String id) {
		super(id, new CompoundPropertyModel<Bestelling>(new Bestelling()));
		add(new FeedbackPanel("feedback"));
		add(new AddBestellingPanel("bestellingPanel"));
		add(new KnoppenPanel<AddBestellingForm>("knoppenPanel",
				new AddBestellingHandler(), true));
	}

}
