package nl.is.kc.koffiemanager.ui.bestellingen.model;

import java.util.List;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.koffiemanager.srv.KoffieManager;

import org.apache.wicket.model.LoadableDetachableModel;

public class KoffieDrinkerModel extends
		LoadableDetachableModel<List<KoffieDrinker>> {

	private static final long serialVersionUID = -3083869364912124247L;

	@Inject
	KoffieManager manager;

	public KoffieDrinkerModel() {
		Cdi.inject(this);
	}

	@Override
	protected List<KoffieDrinker> load() {
		return manager.getKoffieDrinkers();
	}

}
