package nl.is.kc.koffiemanager.ui.muteerdrinkers.model;

import java.util.List;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.koffiemanager.srv.KoffieManager;

import org.apache.wicket.model.LoadableDetachableModel;

public class KoffieDrinkersListModel extends
		LoadableDetachableModel<List<KoffieDrinker>> {

	private static final long serialVersionUID = 5146491416876952772L;

	public KoffieDrinkersListModel() {
		Cdi.inject(this);
	}

	@Inject
	KoffieManager koffiemanager;

	@Override
	protected List<KoffieDrinker> load() {
		return koffiemanager.getKoffieDrinkers();
	}

}
