package nl.is.kc.koffiemanager.ui.muteerdrinkers.model;

import java.util.List;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieSoort;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.koffiemanager.srv.KoffieManager;

import org.apache.wicket.model.LoadableDetachableModel;

public class KoffieSoortenModel extends
		LoadableDetachableModel<List<KoffieSoort>> {

	private static final long serialVersionUID = 4754807131452012429L;

	public KoffieSoortenModel() {
		Cdi.inject(this);
	}

	@Inject
	KoffieManager koffiemanager;

	@Override
	protected List<KoffieSoort> load() {
		return koffiemanager.getKoffieSoorten();
	}

}
