package nl.is.kc.generiek.domain;

import java.io.Serializable;

public class Name implements Serializable {

	private static final long serialVersionUID = -3005670466201748251L;

	private final String voornaam;
	private final String achternaam;

	public Name(String voornaam, String achternaam) {
		super();
		this.voornaam = voornaam;
		this.achternaam = achternaam;
	}

	public String getVoornaam() {
		return voornaam;
	}

	public String getAchternaam() {
		return achternaam;
	}

	public String getFullName() {
		return voornaam + " " + achternaam;
	}

}
