package nl.is.kc.koffiemanager.ui.bestellingen.model;

import java.util.List;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.Bestelling;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.koffiemanager.srv.KoffieManager;

import org.apache.wicket.model.LoadableDetachableModel;

public class BestellingModel extends LoadableDetachableModel<List<Bestelling>> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7021841447984419280L;

	@Inject
	KoffieManager manager;

	public BestellingModel() {
		Cdi.inject(this);
	}

	@Override
	protected List<Bestelling> load() {
		return manager.getBestellingen();
	}

}
