package nl.is.kc.koffiemanager.ui.muteerdrinkers.handler;

import javax.inject.Inject;

import nl.is.kc.generiek.domain.KoffieDrinker;
import nl.is.kc.generiek.ui.Cdi;
import nl.is.kc.generiek.ui.handlers.FormHandler;
import nl.is.kc.koffiemanager.srv.KoffieManager;
import nl.is.kc.koffiemanager.ui.muteerdrinkers.AddKoffieDrinkerForm;

import org.apache.wicket.ajax.AjaxRequestTarget;

public class MuteerKoffieDrinkHandler implements
		FormHandler<AddKoffieDrinkerForm> {

	private static final long serialVersionUID = -1715601586616838964L;

	@Inject
	KoffieManager manager;

	public MuteerKoffieDrinkHandler() {
		Cdi.inject(this);
	}

	public void onOk(AddKoffieDrinkerForm form, AjaxRequestTarget target) {
		manager.addKoffieDrinker(form.getModelObject());
		form.setModelObject(new KoffieDrinker());
	}

	public void onCancel(AddKoffieDrinkerForm form) {

	}

}
